## CamelPOP3Settings

CamelPOP3Settings

## Functions

gint | camel_pop3_settings_get_delete_after_days ()
void | camel_pop3_settings_set_delete_after_days ()
gboolean | camel_pop3_settings_get_delete_expunged ()
void | camel_pop3_settings_set_delete_expunged ()
gboolean | camel_pop3_settings_get_disable_extensions ()
void | camel_pop3_settings_set_disable_extensions ()
gboolean | camel_pop3_settings_get_keep_on_server ()
void | camel_pop3_settings_set_keep_on_server ()
gboolean | camel_pop3_settings_get_auto_fetch ()
void | camel_pop3_settings_set_auto_fetch ()
guint32 | camel_pop3_settings_get_last_cache_expunge ()
void | camel_pop3_settings_set_last_cache_expunge ()
gboolean | camel_pop3_settings_get_enable_utf8 ()
void | camel_pop3_settings_set_enable_utf8 ()

## Properties

gboolean | auto-fetch | Read / Write / Construct
int | delete-after-days | Read / Write / Construct
gboolean | delete-expunged | Read / Write / Construct
gboolean | disable-extensions | Read / Write / Construct
gboolean | enable-utf8 | Read / Write / Construct
gboolean | keep-on-server | Read / Write / Construct
guint | last-cache-expunge | Read / Write / Construct

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ╰── CamelPOP3Settings

## Description

## Functions

### camel_pop3_settings_get_delete_after_days ()

    gint
    camel_pop3_settings_get_delete_after_days
                                   (CamelPOP3Settings *settings);

Returns the number of days to leave messages on the POP3 server before automatically deleting them. If the value is zero, messages will not be automatically deleted. The `settings` 's “keep-on-server” property must be `TRUE` for this to have any effect.

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

the number of days to leave messages on the server before automatically deleting them

Since: 3.2

### camel_pop3_settings_set_delete_after_days ()

    void
    camel_pop3_settings_set_delete_after_days
                                   (CamelPOP3Settings *settings,
                                    gint delete_after_days);

Sets the number of days to leave messages on the POP3 server before automatically deleting them. If the value is zero, messages will not be automatically deleted. The `settings` 's “keep-on-server” property must be `TRUE` for this to have any effect.

#### Parameters

settings | a CamelPOP3Settings |
delete_after_days | the number of days to leave messages on the server before automatically deleting them |

Since: 3.2

### camel_pop3_settings_get_delete_expunged ()

    gboolean
    camel_pop3_settings_get_delete_expunged
                                   (CamelPOP3Settings *settings);

Returns whether to delete corresponding messages left on the POP3 server when expunging the local CamelSettings. The `settings` 's “keep-on-server” property must be `TRUE` for this to have any effect.

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

whether to delete corresponding messages on the server when expunging the local CamelSettings

Since: 3.2

### camel_pop3_settings_set_delete_expunged ()

    void
    camel_pop3_settings_set_delete_expunged
                                   (CamelPOP3Settings *settings,
                                    gboolean delete_expunged);

Sets whether to delete corresponding messages left on the POP3 server when expunging the local CamelSettings. The `settings` 's “keep-on-server” property must be `TRUE` for this to have any effect.

#### Parameters

settings | a CamelPOP3Settings |
delete_expunged | whether to delete corresponding messages on the server when expunging the local CamelSettings |

Since: 3.2

### camel_pop3_settings_get_disable_extensions ()

    gboolean
    camel_pop3_settings_get_disable_extensions
                                   (CamelPOP3Settings *settings);

Returns whether to disable support for POP3 extensions. If `TRUE`, the CamelPOP3Engine will refrain from issuing a "CAPA" command to the server upon connection.

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

whether to disable support for POP3 extensions

Since: 3.2

### camel_pop3_settings_set_disable_extensions ()

    void
    camel_pop3_settings_set_disable_extensions
                                   (CamelPOP3Settings *settings,
                                    gboolean disable_extensions);

Sets whether to disable support for POP3 extensions. If `TRUE`, the CamelPOP3Engine will refrain from issuing a "CAPA" command to the server upon connection.

#### Parameters

settings | a CamelPOP3Settings |
disable_extensions | whether to disable support for POP3 extensions |

Since: 3.2

### camel_pop3_settings_get_keep_on_server ()

    gboolean
    camel_pop3_settings_get_keep_on_server
                                   (CamelPOP3Settings *settings);

Returns whether to leave messages on the remote POP3 server after downloading them to the local Inbox.

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

whether to leave messages on the POP3 server

Since: 3.2

### camel_pop3_settings_set_keep_on_server ()

    void
    camel_pop3_settings_set_keep_on_server
                                   (CamelPOP3Settings *settings,
                                    gboolean keep_on_server);

Sets whether to leave messages on the remote POP3 server after downloading them to the local Inbox.

#### Parameters

settings | a CamelPOP3Settings |
keep_on_server | whether to leave messages on the POP3 server |

Since: 3.2

### camel_pop3_settings_get_auto_fetch ()

    gboolean
    camel_pop3_settings_get_auto_fetch (CamelPOP3Settings *settings);

Returns whether to download additional mails that may be downloaded later on

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

whether to download additional mails

Since: 3.4

### camel_pop3_settings_set_auto_fetch ()

    void
    camel_pop3_settings_set_auto_fetch (CamelPOP3Settings *settings,
                                        gboolean auto_fetch);

Sets whether to download additional mails that may be downloaded later on

#### Parameters

settings | a CamelPOP3Settings |
auto_fetch | whether to download additional mails |

Since: 3.4

### camel_pop3_settings_get_last_cache_expunge ()

    guint32
    camel_pop3_settings_get_last_cache_expunge
                                   (CamelPOP3Settings *settings);

### camel_pop3_settings_set_last_cache_expunge ()

    void
    camel_pop3_settings_set_last_cache_expunge
                                   (CamelPOP3Settings *settings,
                                    guint32 last_cache_expunge);

### camel_pop3_settings_get_enable_utf8 ()

    gboolean
    camel_pop3_settings_get_enable_utf8 (CamelPOP3Settings *settings);

#### Parameters

settings | a CamelPOP3Settings |

#### Returns

Whether can use UTF-8 extension, when the server supports it

Since: 3.36

### camel_pop3_settings_set_enable_utf8 ()

    void
    camel_pop3_settings_set_enable_utf8 (CamelPOP3Settings *settings,
                                         gboolean enable);

Sets whether can use UTF-8 extension, when the server supports it

#### Parameters

settings | a CamelPOP3Settings |
enable | the value to set |

Since: 3.36

## Property Details

### The `“auto-fetch”` property

      “auto-fetch”               gboolean

Automatically fetch additional mails that may be downloaded later.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: TRUE

### The `“delete-after-days”` property

      “delete-after-days”        int

Delete messages left on server after N days.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Allowed values: [0,365]

Default value: 0

### The `“delete-expunged”` property

      “delete-expunged”          gboolean

Delete expunged from local Inbox.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: FALSE

### The `“disable-extensions”` property

      “disable-extensions”       gboolean

Disable support for all POP3 extensions.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: FALSE

### The `“enable-utf8”` property

      “enable-utf8”              gboolean

Whether can use UTF-8 extension, when the server supports it.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: TRUE

### The `“keep-on-server”` property

      “keep-on-server”           gboolean

Leave messages on POP3 server.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: FALSE

### The `“last-cache-expunge”` property

      “last-cache-expunge”       guint

Date as Julian value, when the cache had been checked for orphaned files the last time.

Owner: CamelPOP3Settings

Flags: Read / Write / Construct

Default value: 0